Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class AttributedAnyType

    java.lang.Object
      org.apache.cxf.ws.addressing.AttributedAnyType

    public class AttributedAnyType

extends java.lang.Object

Java class for AttributedAnyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AttributedAnyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <any/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.Object` | `any`

Constructor Summary
`AttributedAnyType()`

Method Summary
`java.lang.Object` | `getAny()` Gets the value of the any property.
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`void` | `setAny(java.lang.Object value)` Sets the value of the any property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### any

    protected java.lang.Object any

Constructor Detail

### AttributedAnyType

    public AttributedAnyType()

Method Detail

### getAny

    public java.lang.Object getAny()

  Gets the value of the any property.

  Returns:
    possible object is `Object` `Element`

### setAny

    public void setAny(java.lang.Object value)

  Sets the value of the any property.

  Parameters:
    `value` - allowed object is `Object` `Element`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF